Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::VoicForm Class Reference

Four formant synthesis instrument. More...

`#include <VoicForm.h>`

Inheritance diagram for stk::VoicForm:

List of all members.

## Public Member Functions
| VoicForm (void)
| Class constructor.
| ~VoicForm (void)
| Class destructor.
void | clear (void)
| Reset and clear all internal state.
void | setFrequency (StkFloat frequency)
| Set instrument parameters for a particular frequency.
bool | setPhoneme (const char *phoneme)
| Set instrument parameters for the given phoneme. Returns false if phoneme not found.
void | setVoiced (StkFloat vGain)
| Set the voiced component gain.
void | setUnVoiced (StkFloat nGain)
| Set the unvoiced component gain.
void | setFilterSweepRate (unsigned int whichOne, StkFloat rate)
| Set the sweep rate for a particular formant filter (0-3).
void | setPitchSweepRate (StkFloat rate)
| Set voiced component pitch sweep rate.
void | speak (void)
| Start the voice.
void | quiet (void)
| Stop the voice.
void | noteOn (StkFloat frequency, StkFloat amplitude)
| Start a note with the given frequency and amplitude.
void | noteOff (StkFloat amplitude)
| Stop a note with the given amplitude (speed of decay).
void | controlChange (int number, StkFloat value)
| Perform the control change specified by number and value (0.0 - 128.0).
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

Four formant synthesis instrument.

This instrument contains an excitation singing wavetable (looping wave with random and periodic vibrato, smoothing on frequency, etc.), excitation noise, and four sweepable complex resonances.

Measured formant data is included, and enough data is there to support either parallel or cascade synthesis. In the floating point case cascade synthesis is the most natural so that's what you'll find here.

Control Change Numbers:

- Voiced/Unvoiced Mix = 2
- Vowel/Phoneme Selection = 4
- Vibrato Frequency = 11
- Vibrato Gain = 1
- Loudness (Spectral Tilt) = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Constructor & Destructor Documentation

stk::VoicForm::VoicForm | ( | void |  | ) |

Class constructor.

An StkError will be thrown if the rawwave path is incorrectly set.

The documentation for this class was generated from the following file:

- VoicForm.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.